
GammaLib - Feature #1121

create GSkyRegionSkyMap class 

01/29/2014 12:17 PM - Schulz Anneli

Status: Closed Start date: 01/29/2014

Priority: Normal Due date:  

Assigned To: Martin Pierrick % Done: 100%

Category:  Estimated time: 4.00 hours

Target version: 1.5.0   

Description

to be able to handle regions which are shaped in a complex way ( for example for exclusion regions) the idea is to implement

GSkyRegionSkyMap which is a fits image with 0 and 1 defining the structure.

After some iteration decided to call it GSkyRegionMap since GSkyRegionSkyMap sound somehow redundant.

History

#1 - 01/29/2014 02:42 PM - Schulz Anneli

- Description updated

#2 - 07/19/2014 02:10 AM - Knödlseder Jürgen

- Target version deleted (2nd coding sprint)

#3 - 10/09/2017 03:37 PM - Knödlseder Jürgen

- Assigned To changed from Schulz Anneli to Martin Pierrick

#4 - 10/10/2017 03:25 PM - Martin Pierrick

- Status changed from New to Pull request

- % Done changed from 0 to 90

- Estimated time set to 4.00

On branch 1121-create-GSkyRegionSkyMap-class on my GitLab fork.

I copied/updated the code developed during a previous coding sprint, and added a few tests.

No Python test for the moment.

#5 - 10/10/2017 05:44 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.5.0

- % Done changed from 90 to 100

Merged code into devel.
